/*
 * Copyright (c) 2011 Imre Fazekas.
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 * Neither the name of the Brillien nor the names of its
 * terms and concepts may be used to endorse or promote products derived from this
 * software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */

package com.vii.brillien.ignition;

import com.vii.streamline.services.MathServices;

import java.io.File;

/**
 * Porperties for IO mapping of Brillien.
 */
public class BrillienStatics {

    public static final String              SYSTEM_ID               = MathServices.randomId( 8 );

    /**
     * Resource dir of the components
     */
    public static final String              RES_DIR                 = "res";

    /**
     * Binary dir of the components
     */
    public static final String              BIN_DIR                 = "bin";

    /**
     * Library dir of the components
     */
    public static final String              LIB_DIR                 = "lib";


    /**
     * Dependency library dir for Brillien instance
     */
    public static final String              DEP_LIB_DIR             = "deplib";

    /**
      * Data dir where the config file will be read out from
    */
    public static final String              CONFIGURATION_DIR       = "data" + File.separator + "config" + File.separator;

    /**
     * Path of the config file of a component in a deployment package
     */
    public static final String              PRESENCE_CONFIG_FILE    = "config" + File.separator + "activate.xml";

    /**
     * Path of the activator directory 
     */
    public static final String              ACTIVATOR_DIR           = "activator";

    /**
     * Folder of the Couchdb design documents
     */
    public static final String              COUCH_DESIGN_DIR        = "data" + File.separator + "couchDesignDocuments" + File.separator;

}

